IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/72
Addresses2^56
/64 networksPart of one
- Network
2001:db8:0:0:d200::/72- First address
2001:db8:0:0:d200::- Last address
2001:db8::d2ff:ffff:ffff:ffff- Addresses
- 72,057,594,037,927,936 (2^56)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2001:0db8:0000:0000:d200:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
2.d.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:0:0:d200::/72 makes 256 subnets of /80.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:0:0:d200::/80 | 2001:db8::d200:ffff:ffff:ffff |
| 2 | 2001:db8:0:0:d201::/80 | 2001:db8::d201:ffff:ffff:ffff |
| 3 | 2001:db8:0:0:d202::/80 | 2001:db8::d202:ffff:ffff:ffff |
| 4 | 2001:db8:0:0:d203::/80 | 2001:db8::d203:ffff:ffff:ffff |
| 5 | 2001:db8:0:0:d204::/80 | 2001:db8::d204:ffff:ffff:ffff |
| 6 | 2001:db8:0:0:d205::/80 | 2001:db8::d205:ffff:ffff:ffff |
| 7 | 2001:db8:0:0:d206::/80 | 2001:db8::d206:ffff:ffff:ffff |
| 8 | 2001:db8:0:0:d207::/80 | 2001:db8::d207:ffff:ffff:ffff |
| 9 | 2001:db8:0:0:d208::/80 | 2001:db8::d208:ffff:ffff:ffff |
| 10 | 2001:db8:0:0:d209::/80 | 2001:db8::d209:ffff:ffff:ffff |
| 11 | 2001:db8:0:0:d20a::/80 | 2001:db8::d20a:ffff:ffff:ffff |
| 12 | 2001:db8:0:0:d20b::/80 | 2001:db8::d20b:ffff:ffff:ffff |
| 13 | 2001:db8:0:0:d20c::/80 | 2001:db8::d20c:ffff:ffff:ffff |
| 14 | 2001:db8:0:0:d20d::/80 | 2001:db8::d20d:ffff:ffff:ffff |
| 15 | 2001:db8:0:0:d20e::/80 | 2001:db8::d20e:ffff:ffff:ffff |
| 16 | 2001:db8:0:0:d20f::/80 | 2001:db8::d20f:ffff:ffff:ffff |
| 17 | 2001:db8:0:0:d210::/80 | 2001:db8::d210:ffff:ffff:ffff |
| 18 | 2001:db8:0:0:d211::/80 | 2001:db8::d211:ffff:ffff:ffff |
| 19 | 2001:db8:0:0:d212::/80 | 2001:db8::d212:ffff:ffff:ffff |
| 20 | 2001:db8:0:0:d213::/80 | 2001:db8::d213:ffff:ffff:ffff |
| 21 | 2001:db8:0:0:d214::/80 | 2001:db8::d214:ffff:ffff:ffff |
| 22 | 2001:db8:0:0:d215::/80 | 2001:db8::d215:ffff:ffff:ffff |
| 23 | 2001:db8:0:0:d216::/80 | 2001:db8::d216:ffff:ffff:ffff |
| 24 | 2001:db8:0:0:d217::/80 | 2001:db8::d217:ffff:ffff:ffff |
| 25 | 2001:db8:0:0:d218::/80 | 2001:db8::d218:ffff:ffff:ffff |
| 26 | 2001:db8:0:0:d219::/80 | 2001:db8::d219:ffff:ffff:ffff |
| 27 | 2001:db8:0:0:d21a::/80 | 2001:db8::d21a:ffff:ffff:ffff |
| 28 | 2001:db8:0:0:d21b::/80 | 2001:db8::d21b:ffff:ffff:ffff |
| 29 | 2001:db8:0:0:d21c::/80 | 2001:db8::d21c:ffff:ffff:ffff |
| 30 | 2001:db8:0:0:d21d::/80 | 2001:db8::d21d:ffff:ffff:ffff |
| 31 | 2001:db8:0:0:d21e::/80 | 2001:db8::d21e:ffff:ffff:ffff |
| 32 | 2001:db8:0:0:d21f::/80 | 2001:db8::d21f:ffff:ffff:ffff |
| 33 | 2001:db8:0:0:d220::/80 | 2001:db8::d220:ffff:ffff:ffff |
| 34 | 2001:db8:0:0:d221::/80 | 2001:db8::d221:ffff:ffff:ffff |
| 35 | 2001:db8:0:0:d222::/80 | 2001:db8::d222:ffff:ffff:ffff |
| 36 | 2001:db8:0:0:d223::/80 | 2001:db8::d223:ffff:ffff:ffff |
| 37 | 2001:db8:0:0:d224::/80 | 2001:db8::d224:ffff:ffff:ffff |
| 38 | 2001:db8:0:0:d225::/80 | 2001:db8::d225:ffff:ffff:ffff |
| 39 | 2001:db8:0:0:d226::/80 | 2001:db8::d226:ffff:ffff:ffff |
| 40 | 2001:db8:0:0:d227::/80 | 2001:db8::d227:ffff:ffff:ffff |
| 41 | 2001:db8:0:0:d228::/80 | 2001:db8::d228:ffff:ffff:ffff |
| 42 | 2001:db8:0:0:d229::/80 | 2001:db8::d229:ffff:ffff:ffff |
| 43 | 2001:db8:0:0:d22a::/80 | 2001:db8::d22a:ffff:ffff:ffff |
| 44 | 2001:db8:0:0:d22b::/80 | 2001:db8::d22b:ffff:ffff:ffff |
| 45 | 2001:db8:0:0:d22c::/80 | 2001:db8::d22c:ffff:ffff:ffff |
| 46 | 2001:db8:0:0:d22d::/80 | 2001:db8::d22d:ffff:ffff:ffff |
| 47 | 2001:db8:0:0:d22e::/80 | 2001:db8::d22e:ffff:ffff:ffff |
| 48 | 2001:db8:0:0:d22f::/80 | 2001:db8::d22f:ffff:ffff:ffff |
| 49 | 2001:db8:0:0:d230::/80 | 2001:db8::d230:ffff:ffff:ffff |
| 50 | 2001:db8:0:0:d231::/80 | 2001:db8::d231:ffff:ffff:ffff |
| 51 | 2001:db8:0:0:d232::/80 | 2001:db8::d232:ffff:ffff:ffff |
| 52 | 2001:db8:0:0:d233::/80 | 2001:db8::d233:ffff:ffff:ffff |
| 53 | 2001:db8:0:0:d234::/80 | 2001:db8::d234:ffff:ffff:ffff |
| 54 | 2001:db8:0:0:d235::/80 | 2001:db8::d235:ffff:ffff:ffff |
| 55 | 2001:db8:0:0:d236::/80 | 2001:db8::d236:ffff:ffff:ffff |
| 56 | 2001:db8:0:0:d237::/80 | 2001:db8::d237:ffff:ffff:ffff |
| 57 | 2001:db8:0:0:d238::/80 | 2001:db8::d238:ffff:ffff:ffff |
| 58 | 2001:db8:0:0:d239::/80 | 2001:db8::d239:ffff:ffff:ffff |
| 59 | 2001:db8:0:0:d23a::/80 | 2001:db8::d23a:ffff:ffff:ffff |
| 60 | 2001:db8:0:0:d23b::/80 | 2001:db8::d23b:ffff:ffff:ffff |
| 61 | 2001:db8:0:0:d23c::/80 | 2001:db8::d23c:ffff:ffff:ffff |
| 62 | 2001:db8:0:0:d23d::/80 | 2001:db8::d23d:ffff:ffff:ffff |
| 63 | 2001:db8:0:0:d23e::/80 | 2001:db8::d23e:ffff:ffff:ffff |
| 64 | 2001:db8:0:0:d23f::/80 | 2001:db8::d23f:ffff:ffff:ffff |
| 65 | 2001:db8:0:0:d240::/80 | 2001:db8::d240:ffff:ffff:ffff |
| 66 | 2001:db8:0:0:d241::/80 | 2001:db8::d241:ffff:ffff:ffff |
| 67 | 2001:db8:0:0:d242::/80 | 2001:db8::d242:ffff:ffff:ffff |
| 68 | 2001:db8:0:0:d243::/80 | 2001:db8::d243:ffff:ffff:ffff |
| 69 | 2001:db8:0:0:d244::/80 | 2001:db8::d244:ffff:ffff:ffff |
| 70 | 2001:db8:0:0:d245::/80 | 2001:db8::d245:ffff:ffff:ffff |
| 71 | 2001:db8:0:0:d246::/80 | 2001:db8::d246:ffff:ffff:ffff |
| 72 | 2001:db8:0:0:d247::/80 | 2001:db8::d247:ffff:ffff:ffff |
| 73 | 2001:db8:0:0:d248::/80 | 2001:db8::d248:ffff:ffff:ffff |
| 74 | 2001:db8:0:0:d249::/80 | 2001:db8::d249:ffff:ffff:ffff |
| 75 | 2001:db8:0:0:d24a::/80 | 2001:db8::d24a:ffff:ffff:ffff |
| 76 | 2001:db8:0:0:d24b::/80 | 2001:db8::d24b:ffff:ffff:ffff |
| 77 | 2001:db8:0:0:d24c::/80 | 2001:db8::d24c:ffff:ffff:ffff |
| 78 | 2001:db8:0:0:d24d::/80 | 2001:db8::d24d:ffff:ffff:ffff |
| 79 | 2001:db8:0:0:d24e::/80 | 2001:db8::d24e:ffff:ffff:ffff |
| 80 | 2001:db8:0:0:d24f::/80 | 2001:db8::d24f:ffff:ffff:ffff |
| 81 | 2001:db8:0:0:d250::/80 | 2001:db8::d250:ffff:ffff:ffff |
| 82 | 2001:db8:0:0:d251::/80 | 2001:db8::d251:ffff:ffff:ffff |
| 83 | 2001:db8:0:0:d252::/80 | 2001:db8::d252:ffff:ffff:ffff |
| 84 | 2001:db8:0:0:d253::/80 | 2001:db8::d253:ffff:ffff:ffff |
| 85 | 2001:db8:0:0:d254::/80 | 2001:db8::d254:ffff:ffff:ffff |
| 86 | 2001:db8:0:0:d255::/80 | 2001:db8::d255:ffff:ffff:ffff |
| 87 | 2001:db8:0:0:d256::/80 | 2001:db8::d256:ffff:ffff:ffff |
| 88 | 2001:db8:0:0:d257::/80 | 2001:db8::d257:ffff:ffff:ffff |
| 89 | 2001:db8:0:0:d258::/80 | 2001:db8::d258:ffff:ffff:ffff |
| 90 | 2001:db8:0:0:d259::/80 | 2001:db8::d259:ffff:ffff:ffff |
| 91 | 2001:db8:0:0:d25a::/80 | 2001:db8::d25a:ffff:ffff:ffff |
| 92 | 2001:db8:0:0:d25b::/80 | 2001:db8::d25b:ffff:ffff:ffff |
| 93 | 2001:db8:0:0:d25c::/80 | 2001:db8::d25c:ffff:ffff:ffff |
| 94 | 2001:db8:0:0:d25d::/80 | 2001:db8::d25d:ffff:ffff:ffff |
| 95 | 2001:db8:0:0:d25e::/80 | 2001:db8::d25e:ffff:ffff:ffff |
| 96 | 2001:db8:0:0:d25f::/80 | 2001:db8::d25f:ffff:ffff:ffff |
| 97 | 2001:db8:0:0:d260::/80 | 2001:db8::d260:ffff:ffff:ffff |
| 98 | 2001:db8:0:0:d261::/80 | 2001:db8::d261:ffff:ffff:ffff |
| 99 | 2001:db8:0:0:d262::/80 | 2001:db8::d262:ffff:ffff:ffff |
| 100 | 2001:db8:0:0:d263::/80 | 2001:db8::d263:ffff:ffff:ffff |
| 101 | 2001:db8:0:0:d264::/80 | 2001:db8::d264:ffff:ffff:ffff |
| 102 | 2001:db8:0:0:d265::/80 | 2001:db8::d265:ffff:ffff:ffff |
| 103 | 2001:db8:0:0:d266::/80 | 2001:db8::d266:ffff:ffff:ffff |
| 104 | 2001:db8:0:0:d267::/80 | 2001:db8::d267:ffff:ffff:ffff |
| 105 | 2001:db8:0:0:d268::/80 | 2001:db8::d268:ffff:ffff:ffff |
| 106 | 2001:db8:0:0:d269::/80 | 2001:db8::d269:ffff:ffff:ffff |
| 107 | 2001:db8:0:0:d26a::/80 | 2001:db8::d26a:ffff:ffff:ffff |
| 108 | 2001:db8:0:0:d26b::/80 | 2001:db8::d26b:ffff:ffff:ffff |
| 109 | 2001:db8:0:0:d26c::/80 | 2001:db8::d26c:ffff:ffff:ffff |
| 110 | 2001:db8:0:0:d26d::/80 | 2001:db8::d26d:ffff:ffff:ffff |
| 111 | 2001:db8:0:0:d26e::/80 | 2001:db8::d26e:ffff:ffff:ffff |
| 112 | 2001:db8:0:0:d26f::/80 | 2001:db8::d26f:ffff:ffff:ffff |
| 113 | 2001:db8:0:0:d270::/80 | 2001:db8::d270:ffff:ffff:ffff |
| 114 | 2001:db8:0:0:d271::/80 | 2001:db8::d271:ffff:ffff:ffff |
| 115 | 2001:db8:0:0:d272::/80 | 2001:db8::d272:ffff:ffff:ffff |
| 116 | 2001:db8:0:0:d273::/80 | 2001:db8::d273:ffff:ffff:ffff |
| 117 | 2001:db8:0:0:d274::/80 | 2001:db8::d274:ffff:ffff:ffff |
| 118 | 2001:db8:0:0:d275::/80 | 2001:db8::d275:ffff:ffff:ffff |
| 119 | 2001:db8:0:0:d276::/80 | 2001:db8::d276:ffff:ffff:ffff |
| 120 | 2001:db8:0:0:d277::/80 | 2001:db8::d277:ffff:ffff:ffff |
| 121 | 2001:db8:0:0:d278::/80 | 2001:db8::d278:ffff:ffff:ffff |
| 122 | 2001:db8:0:0:d279::/80 | 2001:db8::d279:ffff:ffff:ffff |
| 123 | 2001:db8:0:0:d27a::/80 | 2001:db8::d27a:ffff:ffff:ffff |
| 124 | 2001:db8:0:0:d27b::/80 | 2001:db8::d27b:ffff:ffff:ffff |
| 125 | 2001:db8:0:0:d27c::/80 | 2001:db8::d27c:ffff:ffff:ffff |
| 126 | 2001:db8:0:0:d27d::/80 | 2001:db8::d27d:ffff:ffff:ffff |
| 127 | 2001:db8:0:0:d27e::/80 | 2001:db8::d27e:ffff:ffff:ffff |
| 128 | 2001:db8:0:0:d27f::/80 | 2001:db8::d27f:ffff:ffff:ffff |
| 129 | 2001:db8:0:0:d280::/80 | 2001:db8::d280:ffff:ffff:ffff |
| 130 | 2001:db8:0:0:d281::/80 | 2001:db8::d281:ffff:ffff:ffff |
| 131 | 2001:db8:0:0:d282::/80 | 2001:db8::d282:ffff:ffff:ffff |
| 132 | 2001:db8:0:0:d283::/80 | 2001:db8::d283:ffff:ffff:ffff |
| 133 | 2001:db8:0:0:d284::/80 | 2001:db8::d284:ffff:ffff:ffff |
| 134 | 2001:db8:0:0:d285::/80 | 2001:db8::d285:ffff:ffff:ffff |
| 135 | 2001:db8:0:0:d286::/80 | 2001:db8::d286:ffff:ffff:ffff |
| 136 | 2001:db8:0:0:d287::/80 | 2001:db8::d287:ffff:ffff:ffff |
| 137 | 2001:db8:0:0:d288::/80 | 2001:db8::d288:ffff:ffff:ffff |
| 138 | 2001:db8:0:0:d289::/80 | 2001:db8::d289:ffff:ffff:ffff |
| 139 | 2001:db8:0:0:d28a::/80 | 2001:db8::d28a:ffff:ffff:ffff |
| 140 | 2001:db8:0:0:d28b::/80 | 2001:db8::d28b:ffff:ffff:ffff |
| 141 | 2001:db8:0:0:d28c::/80 | 2001:db8::d28c:ffff:ffff:ffff |
| 142 | 2001:db8:0:0:d28d::/80 | 2001:db8::d28d:ffff:ffff:ffff |
| 143 | 2001:db8:0:0:d28e::/80 | 2001:db8::d28e:ffff:ffff:ffff |
| 144 | 2001:db8:0:0:d28f::/80 | 2001:db8::d28f:ffff:ffff:ffff |
| 145 | 2001:db8:0:0:d290::/80 | 2001:db8::d290:ffff:ffff:ffff |
| 146 | 2001:db8:0:0:d291::/80 | 2001:db8::d291:ffff:ffff:ffff |
| 147 | 2001:db8:0:0:d292::/80 | 2001:db8::d292:ffff:ffff:ffff |
| 148 | 2001:db8:0:0:d293::/80 | 2001:db8::d293:ffff:ffff:ffff |
| 149 | 2001:db8:0:0:d294::/80 | 2001:db8::d294:ffff:ffff:ffff |
| 150 | 2001:db8:0:0:d295::/80 | 2001:db8::d295:ffff:ffff:ffff |
| 151 | 2001:db8:0:0:d296::/80 | 2001:db8::d296:ffff:ffff:ffff |
| 152 | 2001:db8:0:0:d297::/80 | 2001:db8::d297:ffff:ffff:ffff |
| 153 | 2001:db8:0:0:d298::/80 | 2001:db8::d298:ffff:ffff:ffff |
| 154 | 2001:db8:0:0:d299::/80 | 2001:db8::d299:ffff:ffff:ffff |
| 155 | 2001:db8:0:0:d29a::/80 | 2001:db8::d29a:ffff:ffff:ffff |
| 156 | 2001:db8:0:0:d29b::/80 | 2001:db8::d29b:ffff:ffff:ffff |
| 157 | 2001:db8:0:0:d29c::/80 | 2001:db8::d29c:ffff:ffff:ffff |
| 158 | 2001:db8:0:0:d29d::/80 | 2001:db8::d29d:ffff:ffff:ffff |
| 159 | 2001:db8:0:0:d29e::/80 | 2001:db8::d29e:ffff:ffff:ffff |
| 160 | 2001:db8:0:0:d29f::/80 | 2001:db8::d29f:ffff:ffff:ffff |
| 161 | 2001:db8:0:0:d2a0::/80 | 2001:db8::d2a0:ffff:ffff:ffff |
| 162 | 2001:db8:0:0:d2a1::/80 | 2001:db8::d2a1:ffff:ffff:ffff |
| 163 | 2001:db8:0:0:d2a2::/80 | 2001:db8::d2a2:ffff:ffff:ffff |
| 164 | 2001:db8:0:0:d2a3::/80 | 2001:db8::d2a3:ffff:ffff:ffff |
| 165 | 2001:db8:0:0:d2a4::/80 | 2001:db8::d2a4:ffff:ffff:ffff |
| 166 | 2001:db8:0:0:d2a5::/80 | 2001:db8::d2a5:ffff:ffff:ffff |
| 167 | 2001:db8:0:0:d2a6::/80 | 2001:db8::d2a6:ffff:ffff:ffff |
| 168 | 2001:db8:0:0:d2a7::/80 | 2001:db8::d2a7:ffff:ffff:ffff |
| 169 | 2001:db8:0:0:d2a8::/80 | 2001:db8::d2a8:ffff:ffff:ffff |
| 170 | 2001:db8:0:0:d2a9::/80 | 2001:db8::d2a9:ffff:ffff:ffff |
| 171 | 2001:db8:0:0:d2aa::/80 | 2001:db8::d2aa:ffff:ffff:ffff |
| 172 | 2001:db8:0:0:d2ab::/80 | 2001:db8::d2ab:ffff:ffff:ffff |
| 173 | 2001:db8:0:0:d2ac::/80 | 2001:db8::d2ac:ffff:ffff:ffff |
| 174 | 2001:db8:0:0:d2ad::/80 | 2001:db8::d2ad:ffff:ffff:ffff |
| 175 | 2001:db8:0:0:d2ae::/80 | 2001:db8::d2ae:ffff:ffff:ffff |
| 176 | 2001:db8:0:0:d2af::/80 | 2001:db8::d2af:ffff:ffff:ffff |
| 177 | 2001:db8:0:0:d2b0::/80 | 2001:db8::d2b0:ffff:ffff:ffff |
| 178 | 2001:db8:0:0:d2b1::/80 | 2001:db8::d2b1:ffff:ffff:ffff |
| 179 | 2001:db8:0:0:d2b2::/80 | 2001:db8::d2b2:ffff:ffff:ffff |
| 180 | 2001:db8:0:0:d2b3::/80 | 2001:db8::d2b3:ffff:ffff:ffff |
| 181 | 2001:db8:0:0:d2b4::/80 | 2001:db8::d2b4:ffff:ffff:ffff |
| 182 | 2001:db8:0:0:d2b5::/80 | 2001:db8::d2b5:ffff:ffff:ffff |
| 183 | 2001:db8:0:0:d2b6::/80 | 2001:db8::d2b6:ffff:ffff:ffff |
| 184 | 2001:db8:0:0:d2b7::/80 | 2001:db8::d2b7:ffff:ffff:ffff |
| 185 | 2001:db8:0:0:d2b8::/80 | 2001:db8::d2b8:ffff:ffff:ffff |
| 186 | 2001:db8:0:0:d2b9::/80 | 2001:db8::d2b9:ffff:ffff:ffff |
| 187 | 2001:db8:0:0:d2ba::/80 | 2001:db8::d2ba:ffff:ffff:ffff |
| 188 | 2001:db8:0:0:d2bb::/80 | 2001:db8::d2bb:ffff:ffff:ffff |
| 189 | 2001:db8:0:0:d2bc::/80 | 2001:db8::d2bc:ffff:ffff:ffff |
| 190 | 2001:db8:0:0:d2bd::/80 | 2001:db8::d2bd:ffff:ffff:ffff |
| 191 | 2001:db8:0:0:d2be::/80 | 2001:db8::d2be:ffff:ffff:ffff |
| 192 | 2001:db8:0:0:d2bf::/80 | 2001:db8::d2bf:ffff:ffff:ffff |
| 193 | 2001:db8:0:0:d2c0::/80 | 2001:db8::d2c0:ffff:ffff:ffff |
| 194 | 2001:db8:0:0:d2c1::/80 | 2001:db8::d2c1:ffff:ffff:ffff |
| 195 | 2001:db8:0:0:d2c2::/80 | 2001:db8::d2c2:ffff:ffff:ffff |
| 196 | 2001:db8:0:0:d2c3::/80 | 2001:db8::d2c3:ffff:ffff:ffff |
| 197 | 2001:db8:0:0:d2c4::/80 | 2001:db8::d2c4:ffff:ffff:ffff |
| 198 | 2001:db8:0:0:d2c5::/80 | 2001:db8::d2c5:ffff:ffff:ffff |
| 199 | 2001:db8:0:0:d2c6::/80 | 2001:db8::d2c6:ffff:ffff:ffff |
| 200 | 2001:db8:0:0:d2c7::/80 | 2001:db8::d2c7:ffff:ffff:ffff |
| 201 | 2001:db8:0:0:d2c8::/80 | 2001:db8::d2c8:ffff:ffff:ffff |
| 202 | 2001:db8:0:0:d2c9::/80 | 2001:db8::d2c9:ffff:ffff:ffff |
| 203 | 2001:db8:0:0:d2ca::/80 | 2001:db8::d2ca:ffff:ffff:ffff |
| 204 | 2001:db8:0:0:d2cb::/80 | 2001:db8::d2cb:ffff:ffff:ffff |
| 205 | 2001:db8:0:0:d2cc::/80 | 2001:db8::d2cc:ffff:ffff:ffff |
| 206 | 2001:db8:0:0:d2cd::/80 | 2001:db8::d2cd:ffff:ffff:ffff |
| 207 | 2001:db8:0:0:d2ce::/80 | 2001:db8::d2ce:ffff:ffff:ffff |
| 208 | 2001:db8:0:0:d2cf::/80 | 2001:db8::d2cf:ffff:ffff:ffff |
| 209 | 2001:db8:0:0:d2d0::/80 | 2001:db8::d2d0:ffff:ffff:ffff |
| 210 | 2001:db8:0:0:d2d1::/80 | 2001:db8::d2d1:ffff:ffff:ffff |
| 211 | 2001:db8:0:0:d2d2::/80 | 2001:db8::d2d2:ffff:ffff:ffff |
| 212 | 2001:db8:0:0:d2d3::/80 | 2001:db8::d2d3:ffff:ffff:ffff |
| 213 | 2001:db8:0:0:d2d4::/80 | 2001:db8::d2d4:ffff:ffff:ffff |
| 214 | 2001:db8:0:0:d2d5::/80 | 2001:db8::d2d5:ffff:ffff:ffff |
| 215 | 2001:db8:0:0:d2d6::/80 | 2001:db8::d2d6:ffff:ffff:ffff |
| 216 | 2001:db8:0:0:d2d7::/80 | 2001:db8::d2d7:ffff:ffff:ffff |
| 217 | 2001:db8:0:0:d2d8::/80 | 2001:db8::d2d8:ffff:ffff:ffff |
| 218 | 2001:db8:0:0:d2d9::/80 | 2001:db8::d2d9:ffff:ffff:ffff |
| 219 | 2001:db8:0:0:d2da::/80 | 2001:db8::d2da:ffff:ffff:ffff |
| 220 | 2001:db8:0:0:d2db::/80 | 2001:db8::d2db:ffff:ffff:ffff |
| 221 | 2001:db8:0:0:d2dc::/80 | 2001:db8::d2dc:ffff:ffff:ffff |
| 222 | 2001:db8:0:0:d2dd::/80 | 2001:db8::d2dd:ffff:ffff:ffff |
| 223 | 2001:db8:0:0:d2de::/80 | 2001:db8::d2de:ffff:ffff:ffff |
| 224 | 2001:db8:0:0:d2df::/80 | 2001:db8::d2df:ffff:ffff:ffff |
| 225 | 2001:db8:0:0:d2e0::/80 | 2001:db8::d2e0:ffff:ffff:ffff |
| 226 | 2001:db8:0:0:d2e1::/80 | 2001:db8::d2e1:ffff:ffff:ffff |
| 227 | 2001:db8:0:0:d2e2::/80 | 2001:db8::d2e2:ffff:ffff:ffff |
| 228 | 2001:db8:0:0:d2e3::/80 | 2001:db8::d2e3:ffff:ffff:ffff |
| 229 | 2001:db8:0:0:d2e4::/80 | 2001:db8::d2e4:ffff:ffff:ffff |
| 230 | 2001:db8:0:0:d2e5::/80 | 2001:db8::d2e5:ffff:ffff:ffff |
| 231 | 2001:db8:0:0:d2e6::/80 | 2001:db8::d2e6:ffff:ffff:ffff |
| 232 | 2001:db8:0:0:d2e7::/80 | 2001:db8::d2e7:ffff:ffff:ffff |
| 233 | 2001:db8:0:0:d2e8::/80 | 2001:db8::d2e8:ffff:ffff:ffff |
| 234 | 2001:db8:0:0:d2e9::/80 | 2001:db8::d2e9:ffff:ffff:ffff |
| 235 | 2001:db8:0:0:d2ea::/80 | 2001:db8::d2ea:ffff:ffff:ffff |
| 236 | 2001:db8:0:0:d2eb::/80 | 2001:db8::d2eb:ffff:ffff:ffff |
| 237 | 2001:db8:0:0:d2ec::/80 | 2001:db8::d2ec:ffff:ffff:ffff |
| 238 | 2001:db8:0:0:d2ed::/80 | 2001:db8::d2ed:ffff:ffff:ffff |
| 239 | 2001:db8:0:0:d2ee::/80 | 2001:db8::d2ee:ffff:ffff:ffff |
| 240 | 2001:db8:0:0:d2ef::/80 | 2001:db8::d2ef:ffff:ffff:ffff |
| 241 | 2001:db8:0:0:d2f0::/80 | 2001:db8::d2f0:ffff:ffff:ffff |
| 242 | 2001:db8:0:0:d2f1::/80 | 2001:db8::d2f1:ffff:ffff:ffff |
| 243 | 2001:db8:0:0:d2f2::/80 | 2001:db8::d2f2:ffff:ffff:ffff |
| 244 | 2001:db8:0:0:d2f3::/80 | 2001:db8::d2f3:ffff:ffff:ffff |
| 245 | 2001:db8:0:0:d2f4::/80 | 2001:db8::d2f4:ffff:ffff:ffff |
| 246 | 2001:db8:0:0:d2f5::/80 | 2001:db8::d2f5:ffff:ffff:ffff |
| 247 | 2001:db8:0:0:d2f6::/80 | 2001:db8::d2f6:ffff:ffff:ffff |
| 248 | 2001:db8:0:0:d2f7::/80 | 2001:db8::d2f7:ffff:ffff:ffff |
| 249 | 2001:db8:0:0:d2f8::/80 | 2001:db8::d2f8:ffff:ffff:ffff |
| 250 | 2001:db8:0:0:d2f9::/80 | 2001:db8::d2f9:ffff:ffff:ffff |
| 251 | 2001:db8:0:0:d2fa::/80 | 2001:db8::d2fa:ffff:ffff:ffff |
| 252 | 2001:db8:0:0:d2fb::/80 | 2001:db8::d2fb:ffff:ffff:ffff |
| 253 | 2001:db8:0:0:d2fc::/80 | 2001:db8::d2fc:ffff:ffff:ffff |
| 254 | 2001:db8:0:0:d2fd::/80 | 2001:db8::d2fd:ffff:ffff:ffff |
| 255 | 2001:db8:0:0:d2fe::/80 | 2001:db8::d2fe:ffff:ffff:ffff |
| 256 | 2001:db8:0:0:d2ff::/80 | 2001:db8::d2ff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |